baz_sweep.h File Reference
`#include <gnuradio/sync_block.h>`
`#include <boost/thread/mutex.hpp>`
`#include <boost/thread/condition_variable.hpp>`
Include dependency graph for baz_sweep.h:

Go to the source code of this file.

## Classes

class | baz_sweep
| square2 a stream of floats. More...

## Functions

BAZ_API baz_sweep_sptr | baz_make_sweep (float samp_rate, float sweep_rate=0.0, bool is_duration=false)
| Return a shared_ptr to a new instance of baz_sweep.

## Variables

class BAZ_API | baz_sweep

## Function Documentation

## baz_make_sweep()

BAZ_API baz_sweep_sptr baz_make_sweep | ( | float | samp_rate,
|  | float | sweep_rate = `0.0`,
|  | bool | is_duration = `false`
| ) |  |

Return a shared_ptr to a new instance of baz_sweep.

To avoid accidental use of raw pointers, baz_sweep's constructor is private. howto_make_square2_ff is the public interface for creating new instances.

## Variable Documentation

## baz_sweep

class BAZ_API baz_sweep